/*
 * @Descripttion: 
 * @version: 
 * @Author: ysh
 * @Date: 2023-06-07 17:00:28
 * @LastEditors: 
 * @LastEditTime: 2023-07-06 10:43:13
 */
const useMapStore = defineStore({
  id: 'app-maps',
  state: () => ({
    olmap: null,
    cesium: null,
    viewer: null,
    tilesetObj: null,
    workspace:""
  }),
  getters: {
    getOlmap() {
      return this.olmap;
    },
    getCesium() {
      return this.cesium;
    },
    getViewer() {
      return this.viewer;
    },
    getTilesetObj(){
      return this.tilesetObj;
    },
    getWorkspace(){
      return this.workspace;
    }
  },
  actions: {
    setOlmap(map) {
      this.olmap = map;
    },
    setCesium(info) {
      this.cesium = info;
    },
    setViewer(info) {
      this.viewer = info;
    },
    setTilesetObj(info){
      this.tilesetObj = info;
    },
    setWorkspace(info){
      this.workspace = info;
    }
  }
})
export default useMapStore;